/* SPDX-License-Identifier: GPL-2.0 */
/*
 * VXD DEC Common low level core interface component
 *
 * Copyright (c) Imagination Technologies Ltd.
 * Copyright (c) 2018 Texas Instruments Incorporated - http://www.ti.com/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation version 2.
 *
 * This program is distributed "as is" WITHOUT ANY WARRANTY of any
 * kind, whether express or implied; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef __PVDEC_VEC_BE_HEVC_REGS_H__
#define __PVDEC_VEC_BE_HEVC_REGS_H__

#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_PIC_ORDER_DIFF_OFFSET		(0x0040)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_PIC_ORDER_DIFF_STRIDE		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_PIC_ORDER_DIFF_NO_ENTRIES		(4)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_DPB_PIC_ORDER_DIFF, DPB_PIC_ORDER_DIFF_3
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_PIC_ORDER_DIFF_DPB_PIC_ORDER_DIFF_3_MASK		(0xFF000000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_PIC_ORDER_DIFF_DPB_PIC_ORDER_DIFF_3_LSBMASK		(0x000000FF)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_PIC_ORDER_DIFF_DPB_PIC_ORDER_DIFF_3_SHIFT		(24)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_PIC_ORDER_DIFF_DPB_PIC_ORDER_DIFF_3_LENGTH		(8)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_PIC_ORDER_DIFF_DPB_PIC_ORDER_DIFF_3_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_PIC_ORDER_DIFF_DPB_PIC_ORDER_DIFF_3_SIGNED_FIELD	(IMG_TRUE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_DPB_PIC_ORDER_DIFF, DPB_PIC_ORDER_DIFF_2
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_PIC_ORDER_DIFF_DPB_PIC_ORDER_DIFF_2_MASK		(0x00FF0000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_PIC_ORDER_DIFF_DPB_PIC_ORDER_DIFF_2_LSBMASK		(0x000000FF)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_PIC_ORDER_DIFF_DPB_PIC_ORDER_DIFF_2_SHIFT		(16)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_PIC_ORDER_DIFF_DPB_PIC_ORDER_DIFF_2_LENGTH		(8)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_PIC_ORDER_DIFF_DPB_PIC_ORDER_DIFF_2_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_PIC_ORDER_DIFF_DPB_PIC_ORDER_DIFF_2_SIGNED_FIELD	(IMG_TRUE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_DPB_PIC_ORDER_DIFF, DPB_PIC_ORDER_DIFF_1
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_PIC_ORDER_DIFF_DPB_PIC_ORDER_DIFF_1_MASK		(0x0000FF00)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_PIC_ORDER_DIFF_DPB_PIC_ORDER_DIFF_1_LSBMASK		(0x000000FF)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_PIC_ORDER_DIFF_DPB_PIC_ORDER_DIFF_1_SHIFT		(8)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_PIC_ORDER_DIFF_DPB_PIC_ORDER_DIFF_1_LENGTH		(8)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_PIC_ORDER_DIFF_DPB_PIC_ORDER_DIFF_1_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_PIC_ORDER_DIFF_DPB_PIC_ORDER_DIFF_1_SIGNED_FIELD	(IMG_TRUE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_DPB_PIC_ORDER_DIFF, DPB_PIC_ORDER_DIFF_0
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_PIC_ORDER_DIFF_DPB_PIC_ORDER_DIFF_0_MASK		(0x000000FF)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_PIC_ORDER_DIFF_DPB_PIC_ORDER_DIFF_0_LSBMASK		(0x000000FF)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_PIC_ORDER_DIFF_DPB_PIC_ORDER_DIFF_0_SHIFT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_PIC_ORDER_DIFF_DPB_PIC_ORDER_DIFF_0_LENGTH		(8)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_PIC_ORDER_DIFF_DPB_PIC_ORDER_DIFF_0_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_PIC_ORDER_DIFF_DPB_PIC_ORDER_DIFF_0_SIGNED_FIELD	(IMG_TRUE)

#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_PIC_ORDER_DIFF_OFFSET		(0x0050)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_PIC_ORDER_DIFF_STRIDE		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_PIC_ORDER_DIFF_NO_ENTRIES		(4)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_COL_DPB_PIC_ORDER_DIFF, COL_DPB_PIC_ORDER_DIFF_3
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_PIC_ORDER_DIFF_COL_DPB_PIC_ORDER_DIFF_3_MASK		(0xFF000000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_PIC_ORDER_DIFF_COL_DPB_PIC_ORDER_DIFF_3_LSBMASK		(0x000000FF)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_PIC_ORDER_DIFF_COL_DPB_PIC_ORDER_DIFF_3_SHIFT		(24)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_PIC_ORDER_DIFF_COL_DPB_PIC_ORDER_DIFF_3_LENGTH		(8)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_PIC_ORDER_DIFF_COL_DPB_PIC_ORDER_DIFF_3_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_PIC_ORDER_DIFF_COL_DPB_PIC_ORDER_DIFF_3_SIGNED_FIELD	(IMG_TRUE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_COL_DPB_PIC_ORDER_DIFF, COL_DPB_PIC_ORDER_DIFF_2
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_PIC_ORDER_DIFF_COL_DPB_PIC_ORDER_DIFF_2_MASK		(0x00FF0000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_PIC_ORDER_DIFF_COL_DPB_PIC_ORDER_DIFF_2_LSBMASK		(0x000000FF)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_PIC_ORDER_DIFF_COL_DPB_PIC_ORDER_DIFF_2_SHIFT		(16)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_PIC_ORDER_DIFF_COL_DPB_PIC_ORDER_DIFF_2_LENGTH		(8)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_PIC_ORDER_DIFF_COL_DPB_PIC_ORDER_DIFF_2_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_PIC_ORDER_DIFF_COL_DPB_PIC_ORDER_DIFF_2_SIGNED_FIELD	(IMG_TRUE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_COL_DPB_PIC_ORDER_DIFF, COL_DPB_PIC_ORDER_DIFF_1
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_PIC_ORDER_DIFF_COL_DPB_PIC_ORDER_DIFF_1_MASK		(0x0000FF00)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_PIC_ORDER_DIFF_COL_DPB_PIC_ORDER_DIFF_1_LSBMASK		(0x000000FF)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_PIC_ORDER_DIFF_COL_DPB_PIC_ORDER_DIFF_1_SHIFT		(8)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_PIC_ORDER_DIFF_COL_DPB_PIC_ORDER_DIFF_1_LENGTH		(8)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_PIC_ORDER_DIFF_COL_DPB_PIC_ORDER_DIFF_1_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_PIC_ORDER_DIFF_COL_DPB_PIC_ORDER_DIFF_1_SIGNED_FIELD	(IMG_TRUE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_COL_DPB_PIC_ORDER_DIFF, COL_DPB_PIC_ORDER_DIFF_0
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_PIC_ORDER_DIFF_COL_DPB_PIC_ORDER_DIFF_0_MASK		(0x000000FF)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_PIC_ORDER_DIFF_COL_DPB_PIC_ORDER_DIFF_0_LSBMASK		(0x000000FF)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_PIC_ORDER_DIFF_COL_DPB_PIC_ORDER_DIFF_0_SHIFT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_PIC_ORDER_DIFF_COL_DPB_PIC_ORDER_DIFF_0_LENGTH		(8)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_PIC_ORDER_DIFF_COL_DPB_PIC_ORDER_DIFF_0_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_PIC_ORDER_DIFF_COL_DPB_PIC_ORDER_DIFF_0_SIGNED_FIELD	(IMG_TRUE)

#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_COLUMN_BOUNDARY_OFFSET		(0x0080)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_COLUMN_BOUNDARY_STRIDE		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_COLUMN_BOUNDARY_NO_ENTRIES		(12)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_TILE_COLUMN_BOUNDARY, COLUMN_BOUNDARY_1
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_COLUMN_BOUNDARY_COLUMN_BOUNDARY_1_MASK		(0x0FFF0000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_COLUMN_BOUNDARY_COLUMN_BOUNDARY_1_LSBMASK		(0x00000FFF)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_COLUMN_BOUNDARY_COLUMN_BOUNDARY_1_SHIFT		(16)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_COLUMN_BOUNDARY_COLUMN_BOUNDARY_1_LENGTH		(12)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_COLUMN_BOUNDARY_COLUMN_BOUNDARY_1_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_COLUMN_BOUNDARY_COLUMN_BOUNDARY_1_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_TILE_COLUMN_BOUNDARY, COLUMN_BOUNDARY_0
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_COLUMN_BOUNDARY_COLUMN_BOUNDARY_0_MASK		(0x00000FFF)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_COLUMN_BOUNDARY_COLUMN_BOUNDARY_0_LSBMASK		(0x00000FFF)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_COLUMN_BOUNDARY_COLUMN_BOUNDARY_0_SHIFT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_COLUMN_BOUNDARY_COLUMN_BOUNDARY_0_LENGTH		(12)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_COLUMN_BOUNDARY_COLUMN_BOUNDARY_0_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_COLUMN_BOUNDARY_COLUMN_BOUNDARY_0_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_ROW_BOUNDARY_OFFSET		(0x00C0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_ROW_BOUNDARY_STRIDE		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_ROW_BOUNDARY_NO_ENTRIES		(12)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_TILE_ROW_BOUNDARY, ROW_BOUNDARY_1
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_ROW_BOUNDARY_ROW_BOUNDARY_1_MASK		(0x0FFF0000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_ROW_BOUNDARY_ROW_BOUNDARY_1_LSBMASK		(0x00000FFF)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_ROW_BOUNDARY_ROW_BOUNDARY_1_SHIFT		(16)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_ROW_BOUNDARY_ROW_BOUNDARY_1_LENGTH		(12)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_ROW_BOUNDARY_ROW_BOUNDARY_1_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_ROW_BOUNDARY_ROW_BOUNDARY_1_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_TILE_ROW_BOUNDARY, ROW_BOUNDARY_0
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_ROW_BOUNDARY_ROW_BOUNDARY_0_MASK		(0x00000FFF)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_ROW_BOUNDARY_ROW_BOUNDARY_0_LSBMASK		(0x00000FFF)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_ROW_BOUNDARY_ROW_BOUNDARY_0_SHIFT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_ROW_BOUNDARY_ROW_BOUNDARY_0_LENGTH		(12)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_ROW_BOUNDARY_ROW_BOUNDARY_0_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TILE_ROW_BOUNDARY_ROW_BOUNDARY_0_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_12_15_OFFSET		(0x013C)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_12_15_STRIDE		(64)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_12_15_NO_ENTRIES		(4)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST1_12_15, REFPICLIST1_15
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_12_15_REFPICLIST1_15_MASK		(0x0F000000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_12_15_REFPICLIST1_15_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_12_15_REFPICLIST1_15_SHIFT		(24)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_12_15_REFPICLIST1_15_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_12_15_REFPICLIST1_15_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_12_15_REFPICLIST1_15_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST1_12_15, REFPICLIST1_14
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_12_15_REFPICLIST1_14_MASK		(0x000F0000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_12_15_REFPICLIST1_14_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_12_15_REFPICLIST1_14_SHIFT		(16)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_12_15_REFPICLIST1_14_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_12_15_REFPICLIST1_14_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_12_15_REFPICLIST1_14_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST1_12_15, REFPICLIST1_13
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_12_15_REFPICLIST1_13_MASK		(0x00000F00)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_12_15_REFPICLIST1_13_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_12_15_REFPICLIST1_13_SHIFT		(8)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_12_15_REFPICLIST1_13_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_12_15_REFPICLIST1_13_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_12_15_REFPICLIST1_13_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST1_12_15, REFPICLIST1_12
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_12_15_REFPICLIST1_12_MASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_12_15_REFPICLIST1_12_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_12_15_REFPICLIST1_12_SHIFT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_12_15_REFPICLIST1_12_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_12_15_REFPICLIST1_12_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_12_15_REFPICLIST1_12_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_8_11_OFFSET		(0x0138)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_8_11_STRIDE		(64)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_8_11_NO_ENTRIES		(4)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST1_8_11, REFPICLIST1_11
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_8_11_REFPICLIST1_11_MASK		(0x0F000000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_8_11_REFPICLIST1_11_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_8_11_REFPICLIST1_11_SHIFT		(24)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_8_11_REFPICLIST1_11_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_8_11_REFPICLIST1_11_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_8_11_REFPICLIST1_11_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST1_8_11, REFPICLIST1_10
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_8_11_REFPICLIST1_10_MASK		(0x000F0000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_8_11_REFPICLIST1_10_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_8_11_REFPICLIST1_10_SHIFT		(16)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_8_11_REFPICLIST1_10_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_8_11_REFPICLIST1_10_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_8_11_REFPICLIST1_10_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST1_8_11, REFPICLIST1_9
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_8_11_REFPICLIST1_9_MASK		(0x00000F00)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_8_11_REFPICLIST1_9_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_8_11_REFPICLIST1_9_SHIFT		(8)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_8_11_REFPICLIST1_9_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_8_11_REFPICLIST1_9_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_8_11_REFPICLIST1_9_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST1_8_11, REFPICLIST1_8
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_8_11_REFPICLIST1_8_MASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_8_11_REFPICLIST1_8_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_8_11_REFPICLIST1_8_SHIFT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_8_11_REFPICLIST1_8_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_8_11_REFPICLIST1_8_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_8_11_REFPICLIST1_8_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_4_7_OFFSET		(0x0134)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_4_7_STRIDE		(64)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_4_7_NO_ENTRIES		(4)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST1_4_7, REFPICLIST1_7
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_4_7_REFPICLIST1_7_MASK		(0x0F000000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_4_7_REFPICLIST1_7_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_4_7_REFPICLIST1_7_SHIFT		(24)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_4_7_REFPICLIST1_7_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_4_7_REFPICLIST1_7_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_4_7_REFPICLIST1_7_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST1_4_7, REFPICLIST1_6
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_4_7_REFPICLIST1_6_MASK		(0x000F0000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_4_7_REFPICLIST1_6_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_4_7_REFPICLIST1_6_SHIFT		(16)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_4_7_REFPICLIST1_6_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_4_7_REFPICLIST1_6_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_4_7_REFPICLIST1_6_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST1_4_7, REFPICLIST1_5
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_4_7_REFPICLIST1_5_MASK		(0x00000F00)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_4_7_REFPICLIST1_5_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_4_7_REFPICLIST1_5_SHIFT		(8)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_4_7_REFPICLIST1_5_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_4_7_REFPICLIST1_5_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_4_7_REFPICLIST1_5_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST1_4_7, REFPICLIST1_4
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_4_7_REFPICLIST1_4_MASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_4_7_REFPICLIST1_4_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_4_7_REFPICLIST1_4_SHIFT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_4_7_REFPICLIST1_4_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_4_7_REFPICLIST1_4_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_4_7_REFPICLIST1_4_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_0_3_OFFSET		(0x0130)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_0_3_STRIDE		(64)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_0_3_NO_ENTRIES		(4)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST1_0_3, REFPICLIST1_3
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_0_3_REFPICLIST1_3_MASK		(0x0F000000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_0_3_REFPICLIST1_3_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_0_3_REFPICLIST1_3_SHIFT		(24)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_0_3_REFPICLIST1_3_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_0_3_REFPICLIST1_3_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_0_3_REFPICLIST1_3_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST1_0_3, REFPICLIST1_2
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_0_3_REFPICLIST1_2_MASK		(0x000F0000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_0_3_REFPICLIST1_2_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_0_3_REFPICLIST1_2_SHIFT		(16)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_0_3_REFPICLIST1_2_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_0_3_REFPICLIST1_2_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_0_3_REFPICLIST1_2_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST1_0_3, REFPICLIST1_1
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_0_3_REFPICLIST1_1_MASK		(0x00000F00)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_0_3_REFPICLIST1_1_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_0_3_REFPICLIST1_1_SHIFT		(8)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_0_3_REFPICLIST1_1_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_0_3_REFPICLIST1_1_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_0_3_REFPICLIST1_1_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST1_0_3, REFPICLIST1_0
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_0_3_REFPICLIST1_0_MASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_0_3_REFPICLIST1_0_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_0_3_REFPICLIST1_0_SHIFT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_0_3_REFPICLIST1_0_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_0_3_REFPICLIST1_0_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST1_0_3_REFPICLIST1_0_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_12_15_OFFSET		(0x012C)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_12_15_STRIDE		(64)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_12_15_NO_ENTRIES		(4)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST0_12_15, REFPICLIST0_15
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_12_15_REFPICLIST0_15_MASK		(0x0F000000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_12_15_REFPICLIST0_15_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_12_15_REFPICLIST0_15_SHIFT		(24)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_12_15_REFPICLIST0_15_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_12_15_REFPICLIST0_15_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_12_15_REFPICLIST0_15_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST0_12_15, REFPICLIST0_14
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_12_15_REFPICLIST0_14_MASK		(0x000F0000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_12_15_REFPICLIST0_14_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_12_15_REFPICLIST0_14_SHIFT		(16)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_12_15_REFPICLIST0_14_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_12_15_REFPICLIST0_14_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_12_15_REFPICLIST0_14_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST0_12_15, REFPICLIST0_13
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_12_15_REFPICLIST0_13_MASK		(0x00000F00)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_12_15_REFPICLIST0_13_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_12_15_REFPICLIST0_13_SHIFT		(8)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_12_15_REFPICLIST0_13_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_12_15_REFPICLIST0_13_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_12_15_REFPICLIST0_13_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST0_12_15, REFPICLIST0_12
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_12_15_REFPICLIST0_12_MASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_12_15_REFPICLIST0_12_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_12_15_REFPICLIST0_12_SHIFT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_12_15_REFPICLIST0_12_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_12_15_REFPICLIST0_12_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_12_15_REFPICLIST0_12_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_8_11_OFFSET		(0x0128)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_8_11_STRIDE		(64)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_8_11_NO_ENTRIES		(4)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST0_8_11, REFPICLIST0_11
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_8_11_REFPICLIST0_11_MASK		(0x0F000000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_8_11_REFPICLIST0_11_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_8_11_REFPICLIST0_11_SHIFT		(24)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_8_11_REFPICLIST0_11_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_8_11_REFPICLIST0_11_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_8_11_REFPICLIST0_11_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST0_8_11, REFPICLIST0_10
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_8_11_REFPICLIST0_10_MASK		(0x000F0000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_8_11_REFPICLIST0_10_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_8_11_REFPICLIST0_10_SHIFT		(16)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_8_11_REFPICLIST0_10_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_8_11_REFPICLIST0_10_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_8_11_REFPICLIST0_10_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST0_8_11, REFPICLIST0_9
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_8_11_REFPICLIST0_9_MASK		(0x00000F00)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_8_11_REFPICLIST0_9_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_8_11_REFPICLIST0_9_SHIFT		(8)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_8_11_REFPICLIST0_9_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_8_11_REFPICLIST0_9_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_8_11_REFPICLIST0_9_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST0_8_11, REFPICLIST0_8
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_8_11_REFPICLIST0_8_MASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_8_11_REFPICLIST0_8_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_8_11_REFPICLIST0_8_SHIFT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_8_11_REFPICLIST0_8_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_8_11_REFPICLIST0_8_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_8_11_REFPICLIST0_8_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_4_7_OFFSET		(0x0124)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_4_7_STRIDE		(64)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_4_7_NO_ENTRIES		(4)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST0_4_7, REFPICLIST0_7
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_4_7_REFPICLIST0_7_MASK		(0x0F000000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_4_7_REFPICLIST0_7_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_4_7_REFPICLIST0_7_SHIFT		(24)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_4_7_REFPICLIST0_7_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_4_7_REFPICLIST0_7_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_4_7_REFPICLIST0_7_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST0_4_7, REFPICLIST0_6
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_4_7_REFPICLIST0_6_MASK		(0x000F0000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_4_7_REFPICLIST0_6_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_4_7_REFPICLIST0_6_SHIFT		(16)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_4_7_REFPICLIST0_6_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_4_7_REFPICLIST0_6_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_4_7_REFPICLIST0_6_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST0_4_7, REFPICLIST0_5
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_4_7_REFPICLIST0_5_MASK		(0x00000F00)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_4_7_REFPICLIST0_5_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_4_7_REFPICLIST0_5_SHIFT		(8)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_4_7_REFPICLIST0_5_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_4_7_REFPICLIST0_5_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_4_7_REFPICLIST0_5_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST0_4_7, REFPICLIST0_4
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_4_7_REFPICLIST0_4_MASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_4_7_REFPICLIST0_4_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_4_7_REFPICLIST0_4_SHIFT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_4_7_REFPICLIST0_4_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_4_7_REFPICLIST0_4_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_4_7_REFPICLIST0_4_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_0_3_OFFSET		(0x0120)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_0_3_STRIDE		(64)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_0_3_NO_ENTRIES		(4)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST0_0_3, REFPICLIST0_3
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_0_3_REFPICLIST0_3_MASK		(0x0F000000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_0_3_REFPICLIST0_3_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_0_3_REFPICLIST0_3_SHIFT		(24)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_0_3_REFPICLIST0_3_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_0_3_REFPICLIST0_3_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_0_3_REFPICLIST0_3_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST0_0_3, REFPICLIST0_2
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_0_3_REFPICLIST0_2_MASK		(0x000F0000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_0_3_REFPICLIST0_2_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_0_3_REFPICLIST0_2_SHIFT		(16)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_0_3_REFPICLIST0_2_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_0_3_REFPICLIST0_2_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_0_3_REFPICLIST0_2_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST0_0_3, REFPICLIST0_1
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_0_3_REFPICLIST0_1_MASK		(0x00000F00)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_0_3_REFPICLIST0_1_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_0_3_REFPICLIST0_1_SHIFT		(8)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_0_3_REFPICLIST0_1_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_0_3_REFPICLIST0_1_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_0_3_REFPICLIST0_1_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_LIST0_0_3, REFPICLIST0_0
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_0_3_REFPICLIST0_0_MASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_0_3_REFPICLIST0_0_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_0_3_REFPICLIST0_0_SHIFT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_0_3_REFPICLIST0_0_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_0_3_REFPICLIST0_0_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_LIST0_0_3_REFPICLIST0_0_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_2_OFFSET		(0x0108)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_2_STRIDE		(64)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_2_NO_ENTRIES		(4)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_PARAM_2, INDEPENDENT_SLICE_MB_NO_Y
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_2_INDEPENDENT_SLICE_MB_NO_Y_MASK		(0x0007FC00)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_2_INDEPENDENT_SLICE_MB_NO_Y_LSBMASK		(0x000001FF)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_2_INDEPENDENT_SLICE_MB_NO_Y_SHIFT		(10)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_2_INDEPENDENT_SLICE_MB_NO_Y_LENGTH		(9)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_2_INDEPENDENT_SLICE_MB_NO_Y_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_2_INDEPENDENT_SLICE_MB_NO_Y_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_PARAM_2, INDEPENDENT_SLICE_MB_NO_X
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_2_INDEPENDENT_SLICE_MB_NO_X_MASK		(0x000001FF)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_2_INDEPENDENT_SLICE_MB_NO_X_LSBMASK		(0x000001FF)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_2_INDEPENDENT_SLICE_MB_NO_X_SHIFT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_2_INDEPENDENT_SLICE_MB_NO_X_LENGTH		(9)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_2_INDEPENDENT_SLICE_MB_NO_X_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_2_INDEPENDENT_SLICE_MB_NO_X_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_OFFSET		(0x0104)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_STRIDE		(64)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_NO_ENTRIES		(4)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_PARAM_1, EXT_INDEPENDENT_SLICE_MB_NO_Y
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_EXT_INDEPENDENT_SLICE_MB_NO_Y_MASK		(0xE0000000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_EXT_INDEPENDENT_SLICE_MB_NO_Y_LSBMASK		(0x00000007)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_EXT_INDEPENDENT_SLICE_MB_NO_Y_SHIFT		(29)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_EXT_INDEPENDENT_SLICE_MB_NO_Y_LENGTH		(3)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_EXT_INDEPENDENT_SLICE_MB_NO_Y_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_EXT_INDEPENDENT_SLICE_MB_NO_Y_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_PARAM_1, EXT_INDEPENDENT_SLICE_MB_NO_X
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_EXT_INDEPENDENT_SLICE_MB_NO_X_MASK		(0x1C000000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_EXT_INDEPENDENT_SLICE_MB_NO_X_LSBMASK		(0x00000007)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_EXT_INDEPENDENT_SLICE_MB_NO_X_SHIFT		(26)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_EXT_INDEPENDENT_SLICE_MB_NO_X_LENGTH		(3)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_EXT_INDEPENDENT_SLICE_MB_NO_X_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_EXT_INDEPENDENT_SLICE_MB_NO_X_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_PARAM_1, SLICE_LOOP_FILTER_ACROSS_SLICES_ENABLED_FLAG
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_SLICE_LOOP_FILTER_ACROSS_SLICES_ENABLED_FLAG_MASK		(0x01000000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_SLICE_LOOP_FILTER_ACROSS_SLICES_ENABLED_FLAG_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_SLICE_LOOP_FILTER_ACROSS_SLICES_ENABLED_FLAG_SHIFT		(24)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_SLICE_LOOP_FILTER_ACROSS_SLICES_ENABLED_FLAG_LENGTH		(1)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_SLICE_LOOP_FILTER_ACROSS_SLICES_ENABLED_FLAG_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_SLICE_LOOP_FILTER_ACROSS_SLICES_ENABLED_FLAG_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_PARAM_1, SLICE_CR_QP_OFFSET
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_SLICE_CR_QP_OFFSET_MASK		(0x001F0000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_SLICE_CR_QP_OFFSET_LSBMASK		(0x0000001F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_SLICE_CR_QP_OFFSET_SHIFT		(16)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_SLICE_CR_QP_OFFSET_LENGTH		(5)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_SLICE_CR_QP_OFFSET_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_SLICE_CR_QP_OFFSET_SIGNED_FIELD	(IMG_TRUE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_PARAM_1, SLICE_CB_QP_OFFSET
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_SLICE_CB_QP_OFFSET_MASK		(0x00001F00)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_SLICE_CB_QP_OFFSET_LSBMASK		(0x0000001F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_SLICE_CB_QP_OFFSET_SHIFT		(8)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_SLICE_CB_QP_OFFSET_LENGTH		(5)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_SLICE_CB_QP_OFFSET_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_SLICE_CB_QP_OFFSET_SIGNED_FIELD	(IMG_TRUE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_PARAM_1, SLICE_QPY
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_SLICE_QPY_MASK		(0x0000007F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_SLICE_QPY_LSBMASK		(0x0000007F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_SLICE_QPY_SHIFT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_SLICE_QPY_LENGTH		(7)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_SLICE_QPY_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_1_SLICE_QPY_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_OFFSET		(0x0100)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_STRIDE		(64)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_NO_ENTRIES		(4)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_PARAM_0, MAX_NUM_MERGE_CAND
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_MAX_NUM_MERGE_CAND_MASK		(0x00700000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_MAX_NUM_MERGE_CAND_LSBMASK		(0x00000007)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_MAX_NUM_MERGE_CAND_SHIFT		(20)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_MAX_NUM_MERGE_CAND_LENGTH		(3)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_MAX_NUM_MERGE_CAND_DEFAULT		(5)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_MAX_NUM_MERGE_CAND_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_PARAM_0, CU_CHROMA_QP_OFFSET_ENABLED_FLAG
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_CU_CHROMA_QP_OFFSET_ENABLED_FLAG_MASK		(0x00080000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_CU_CHROMA_QP_OFFSET_ENABLED_FLAG_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_CU_CHROMA_QP_OFFSET_ENABLED_FLAG_SHIFT		(19)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_CU_CHROMA_QP_OFFSET_ENABLED_FLAG_LENGTH		(1)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_CU_CHROMA_QP_OFFSET_ENABLED_FLAG_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_CU_CHROMA_QP_OFFSET_ENABLED_FLAG_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_PARAM_0, COLLOCATED_FROM_L0_FLAG
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_COLLOCATED_FROM_L0_FLAG_MASK		(0x00040000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_COLLOCATED_FROM_L0_FLAG_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_COLLOCATED_FROM_L0_FLAG_SHIFT		(18)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_COLLOCATED_FROM_L0_FLAG_LENGTH		(1)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_COLLOCATED_FROM_L0_FLAG_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_COLLOCATED_FROM_L0_FLAG_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_PARAM_0, MVD_L1_ZERO_FLAG
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_MVD_L1_ZERO_FLAG_MASK		(0x00010000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_MVD_L1_ZERO_FLAG_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_MVD_L1_ZERO_FLAG_SHIFT		(16)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_MVD_L1_ZERO_FLAG_LENGTH		(1)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_MVD_L1_ZERO_FLAG_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_MVD_L1_ZERO_FLAG_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_PARAM_0, NUM_REF_IDX_L1_ACTIVE_MINUS1
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_NUM_REF_IDX_L1_ACTIVE_MINUS1_MASK		(0x0000F000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_NUM_REF_IDX_L1_ACTIVE_MINUS1_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_NUM_REF_IDX_L1_ACTIVE_MINUS1_SHIFT		(12)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_NUM_REF_IDX_L1_ACTIVE_MINUS1_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_NUM_REF_IDX_L1_ACTIVE_MINUS1_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_NUM_REF_IDX_L1_ACTIVE_MINUS1_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_PARAM_0, NUM_REF_IDX_L0_ACTIVE_MINUS1
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_NUM_REF_IDX_L0_ACTIVE_MINUS1_MASK		(0x00000F00)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_NUM_REF_IDX_L0_ACTIVE_MINUS1_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_NUM_REF_IDX_L0_ACTIVE_MINUS1_SHIFT		(8)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_NUM_REF_IDX_L0_ACTIVE_MINUS1_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_NUM_REF_IDX_L0_ACTIVE_MINUS1_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_NUM_REF_IDX_L0_ACTIVE_MINUS1_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_PARAM_0, SLICE_TEMPORAL_MVP_ENABLE_FLAG
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_SLICE_TEMPORAL_MVP_ENABLE_FLAG_MASK		(0x00000010)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_SLICE_TEMPORAL_MVP_ENABLE_FLAG_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_SLICE_TEMPORAL_MVP_ENABLE_FLAG_SHIFT		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_SLICE_TEMPORAL_MVP_ENABLE_FLAG_LENGTH		(1)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_SLICE_TEMPORAL_MVP_ENABLE_FLAG_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_SLICE_TEMPORAL_MVP_ENABLE_FLAG_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_PARAM_0, SLICE_SAO_CHROMA_FLAG
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_SLICE_SAO_CHROMA_FLAG_MASK		(0x00000008)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_SLICE_SAO_CHROMA_FLAG_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_SLICE_SAO_CHROMA_FLAG_SHIFT		(3)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_SLICE_SAO_CHROMA_FLAG_LENGTH		(1)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_SLICE_SAO_CHROMA_FLAG_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_SLICE_SAO_CHROMA_FLAG_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_PARAM_0, SLICE_SAO_LUMA_FLAG
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_SLICE_SAO_LUMA_FLAG_MASK		(0x00000004)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_SLICE_SAO_LUMA_FLAG_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_SLICE_SAO_LUMA_FLAG_SHIFT		(2)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_SLICE_SAO_LUMA_FLAG_LENGTH		(1)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_SLICE_SAO_LUMA_FLAG_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_SLICE_SAO_LUMA_FLAG_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SLICE_PARAM_0, SLICE_TYPE
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_SLICE_TYPE_MASK		(0x00000003)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_SLICE_TYPE_LSBMASK		(0x00000003)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_SLICE_TYPE_SHIFT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_SLICE_TYPE_LENGTH		(2)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_SLICE_TYPE_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SLICE_PARAM_0_SLICE_TYPE_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_OFFSET		(0x0000)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SPS_PARAM_0, SCALING_LIST_ENABLE_FLAG
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_SCALING_LIST_ENABLE_FLAG_MASK		(0x80000000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_SCALING_LIST_ENABLE_FLAG_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_SCALING_LIST_ENABLE_FLAG_SHIFT		(31)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_SCALING_LIST_ENABLE_FLAG_LENGTH		(1)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_SCALING_LIST_ENABLE_FLAG_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_SCALING_LIST_ENABLE_FLAG_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SPS_PARAM_0, MAX_TRANSFORM_HIERARCHY_DEPTH_INTRA
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_MAX_TRANSFORM_HIERARCHY_DEPTH_INTRA_MASK		(0x70000000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_MAX_TRANSFORM_HIERARCHY_DEPTH_INTRA_LSBMASK		(0x00000007)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_MAX_TRANSFORM_HIERARCHY_DEPTH_INTRA_SHIFT		(28)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_MAX_TRANSFORM_HIERARCHY_DEPTH_INTRA_LENGTH		(3)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_MAX_TRANSFORM_HIERARCHY_DEPTH_INTRA_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_MAX_TRANSFORM_HIERARCHY_DEPTH_INTRA_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SPS_PARAM_0, MAX_TRANSFORM_HIERARCHY_DEPTH_INTER
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_MAX_TRANSFORM_HIERARCHY_DEPTH_INTER_MASK		(0x07000000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_MAX_TRANSFORM_HIERARCHY_DEPTH_INTER_LSBMASK		(0x00000007)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_MAX_TRANSFORM_HIERARCHY_DEPTH_INTER_SHIFT		(24)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_MAX_TRANSFORM_HIERARCHY_DEPTH_INTER_LENGTH		(3)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_MAX_TRANSFORM_HIERARCHY_DEPTH_INTER_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_MAX_TRANSFORM_HIERARCHY_DEPTH_INTER_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SPS_PARAM_0, LOG2_DIFF_MAX_MIN_TRANSFORM_BLOCK_SIZE
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_LOG2_DIFF_MAX_MIN_TRANSFORM_BLOCK_SIZE_MASK		(0x00300000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_LOG2_DIFF_MAX_MIN_TRANSFORM_BLOCK_SIZE_LSBMASK		(0x00000003)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_LOG2_DIFF_MAX_MIN_TRANSFORM_BLOCK_SIZE_SHIFT		(20)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_LOG2_DIFF_MAX_MIN_TRANSFORM_BLOCK_SIZE_LENGTH		(2)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_LOG2_DIFF_MAX_MIN_TRANSFORM_BLOCK_SIZE_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_LOG2_DIFF_MAX_MIN_TRANSFORM_BLOCK_SIZE_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SPS_PARAM_0, LOG2_MIN_TRANSFORM_BLOCK_SIZE_MINUS2
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_LOG2_MIN_TRANSFORM_BLOCK_SIZE_MINUS2_MASK		(0x00030000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_LOG2_MIN_TRANSFORM_BLOCK_SIZE_MINUS2_LSBMASK		(0x00000003)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_LOG2_MIN_TRANSFORM_BLOCK_SIZE_MINUS2_SHIFT		(16)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_LOG2_MIN_TRANSFORM_BLOCK_SIZE_MINUS2_LENGTH		(2)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_LOG2_MIN_TRANSFORM_BLOCK_SIZE_MINUS2_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_LOG2_MIN_TRANSFORM_BLOCK_SIZE_MINUS2_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SPS_PARAM_0, LOG2_DIFF_MAX_MIN_LUMA_CODING_BLOCK_SIZE
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_LOG2_DIFF_MAX_MIN_LUMA_CODING_BLOCK_SIZE_MASK		(0x00003000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_LOG2_DIFF_MAX_MIN_LUMA_CODING_BLOCK_SIZE_LSBMASK		(0x00000003)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_LOG2_DIFF_MAX_MIN_LUMA_CODING_BLOCK_SIZE_SHIFT		(12)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_LOG2_DIFF_MAX_MIN_LUMA_CODING_BLOCK_SIZE_LENGTH		(2)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_LOG2_DIFF_MAX_MIN_LUMA_CODING_BLOCK_SIZE_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_LOG2_DIFF_MAX_MIN_LUMA_CODING_BLOCK_SIZE_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SPS_PARAM_0, LOG2_MIN_LUMA_CODING_BLOCK_SIZE_MINUS3
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_LOG2_MIN_LUMA_CODING_BLOCK_SIZE_MINUS3_MASK		(0x00000300)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_LOG2_MIN_LUMA_CODING_BLOCK_SIZE_MINUS3_LSBMASK		(0x00000003)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_LOG2_MIN_LUMA_CODING_BLOCK_SIZE_MINUS3_SHIFT		(8)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_LOG2_MIN_LUMA_CODING_BLOCK_SIZE_MINUS3_LENGTH		(2)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_LOG2_MIN_LUMA_CODING_BLOCK_SIZE_MINUS3_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_LOG2_MIN_LUMA_CODING_BLOCK_SIZE_MINUS3_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SPS_PARAM_0, BIT_DEPTH_CHROMA_MINUS8
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_BIT_DEPTH_CHROMA_MINUS8_MASK		(0x00000070)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_BIT_DEPTH_CHROMA_MINUS8_LSBMASK		(0x00000007)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_BIT_DEPTH_CHROMA_MINUS8_SHIFT		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_BIT_DEPTH_CHROMA_MINUS8_LENGTH		(3)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_BIT_DEPTH_CHROMA_MINUS8_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_BIT_DEPTH_CHROMA_MINUS8_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SPS_PARAM_0, BIT_DEPTH_LUMA_MINUS8
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_BIT_DEPTH_LUMA_MINUS8_MASK		(0x00000007)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_BIT_DEPTH_LUMA_MINUS8_LSBMASK		(0x00000007)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_BIT_DEPTH_LUMA_MINUS8_SHIFT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_BIT_DEPTH_LUMA_MINUS8_LENGTH		(3)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_BIT_DEPTH_LUMA_MINUS8_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_0_BIT_DEPTH_LUMA_MINUS8_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_OFFSET		(0x0004)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SPS_PARAM_1, TRANSFORM_SKIP_ROTATION_ENABLED_FLAG
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_TRANSFORM_SKIP_ROTATION_ENABLED_FLAG_MASK		(0x00800000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_TRANSFORM_SKIP_ROTATION_ENABLED_FLAG_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_TRANSFORM_SKIP_ROTATION_ENABLED_FLAG_SHIFT		(23)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_TRANSFORM_SKIP_ROTATION_ENABLED_FLAG_LENGTH		(1)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_TRANSFORM_SKIP_ROTATION_ENABLED_FLAG_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_TRANSFORM_SKIP_ROTATION_ENABLED_FLAG_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SPS_PARAM_1, IMPLICIT_RDPCM_ENABLED_FLAG
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_IMPLICIT_RDPCM_ENABLED_FLAG_MASK		(0x00080000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_IMPLICIT_RDPCM_ENABLED_FLAG_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_IMPLICIT_RDPCM_ENABLED_FLAG_SHIFT		(19)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_IMPLICIT_RDPCM_ENABLED_FLAG_LENGTH		(1)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_IMPLICIT_RDPCM_ENABLED_FLAG_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_IMPLICIT_RDPCM_ENABLED_FLAG_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SPS_PARAM_1, EXPLICIT_RDPCM_ENABLED_FLAG
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_EXPLICIT_RDPCM_ENABLED_FLAG_MASK		(0x00040000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_EXPLICIT_RDPCM_ENABLED_FLAG_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_EXPLICIT_RDPCM_ENABLED_FLAG_SHIFT		(18)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_EXPLICIT_RDPCM_ENABLED_FLAG_LENGTH		(1)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_EXPLICIT_RDPCM_ENABLED_FLAG_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_EXPLICIT_RDPCM_ENABLED_FLAG_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SPS_PARAM_1, EXTENDED_PRECISION_PROCESSING_FLAG
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_EXTENDED_PRECISION_PROCESSING_FLAG_MASK		(0x00020000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_EXTENDED_PRECISION_PROCESSING_FLAG_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_EXTENDED_PRECISION_PROCESSING_FLAG_SHIFT		(17)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_EXTENDED_PRECISION_PROCESSING_FLAG_LENGTH		(1)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_EXTENDED_PRECISION_PROCESSING_FLAG_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_EXTENDED_PRECISION_PROCESSING_FLAG_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SPS_PARAM_1, SPS_TEMPORAL_MVP_ENABLED_FLAG
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_SPS_TEMPORAL_MVP_ENABLED_FLAG_MASK		(0x00010000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_SPS_TEMPORAL_MVP_ENABLED_FLAG_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_SPS_TEMPORAL_MVP_ENABLED_FLAG_SHIFT		(16)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_SPS_TEMPORAL_MVP_ENABLED_FLAG_LENGTH		(1)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_SPS_TEMPORAL_MVP_ENABLED_FLAG_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_SPS_TEMPORAL_MVP_ENABLED_FLAG_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SPS_PARAM_1, PCM_BIT_DEPTH_CHROMA
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_PCM_BIT_DEPTH_CHROMA_MASK		(0x0000F000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_PCM_BIT_DEPTH_CHROMA_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_PCM_BIT_DEPTH_CHROMA_SHIFT		(12)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_PCM_BIT_DEPTH_CHROMA_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_PCM_BIT_DEPTH_CHROMA_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_PCM_BIT_DEPTH_CHROMA_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SPS_PARAM_1, PCM_BIT_DEPTH_LUMA
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_PCM_BIT_DEPTH_LUMA_MASK		(0x00000F00)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_PCM_BIT_DEPTH_LUMA_LSBMASK		(0x0000000F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_PCM_BIT_DEPTH_LUMA_SHIFT		(8)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_PCM_BIT_DEPTH_LUMA_LENGTH		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_PCM_BIT_DEPTH_LUMA_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_PCM_BIT_DEPTH_LUMA_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SPS_PARAM_1, LOG2_DIFF_MAX_MIN_PCM_LUMA_CODING_BLOCK_SIZE
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_LOG2_DIFF_MAX_MIN_PCM_LUMA_CODING_BLOCK_SIZE_MASK		(0x000000C0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_LOG2_DIFF_MAX_MIN_PCM_LUMA_CODING_BLOCK_SIZE_LSBMASK		(0x00000003)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_LOG2_DIFF_MAX_MIN_PCM_LUMA_CODING_BLOCK_SIZE_SHIFT		(6)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_LOG2_DIFF_MAX_MIN_PCM_LUMA_CODING_BLOCK_SIZE_LENGTH		(2)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_LOG2_DIFF_MAX_MIN_PCM_LUMA_CODING_BLOCK_SIZE_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_LOG2_DIFF_MAX_MIN_PCM_LUMA_CODING_BLOCK_SIZE_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SPS_PARAM_1, LOG2_MIN_PCM_LUMA_CODING_BLOCK_SIZE_MINUS3
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_LOG2_MIN_PCM_LUMA_CODING_BLOCK_SIZE_MINUS3_MASK		(0x00000030)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_LOG2_MIN_PCM_LUMA_CODING_BLOCK_SIZE_MINUS3_LSBMASK		(0x00000003)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_LOG2_MIN_PCM_LUMA_CODING_BLOCK_SIZE_MINUS3_SHIFT		(4)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_LOG2_MIN_PCM_LUMA_CODING_BLOCK_SIZE_MINUS3_LENGTH		(2)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_LOG2_MIN_PCM_LUMA_CODING_BLOCK_SIZE_MINUS3_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_LOG2_MIN_PCM_LUMA_CODING_BLOCK_SIZE_MINUS3_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SPS_PARAM_1, PCM_LOOP_FILTER_DISABLE_FLAG
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_PCM_LOOP_FILTER_DISABLE_FLAG_MASK		(0x00000004)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_PCM_LOOP_FILTER_DISABLE_FLAG_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_PCM_LOOP_FILTER_DISABLE_FLAG_SHIFT		(2)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_PCM_LOOP_FILTER_DISABLE_FLAG_LENGTH		(1)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_PCM_LOOP_FILTER_DISABLE_FLAG_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_PCM_LOOP_FILTER_DISABLE_FLAG_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SPS_PARAM_1, PCM_ENABLED_FLAG
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_PCM_ENABLED_FLAG_MASK		(0x00000002)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_PCM_ENABLED_FLAG_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_PCM_ENABLED_FLAG_SHIFT		(1)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_PCM_ENABLED_FLAG_LENGTH		(1)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_PCM_ENABLED_FLAG_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_PCM_ENABLED_FLAG_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_SPS_PARAM_1, AMP_ENABLED_FLAG
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_AMP_ENABLED_FLAG_MASK		(0x00000001)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_AMP_ENABLED_FLAG_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_AMP_ENABLED_FLAG_SHIFT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_AMP_ENABLED_FLAG_LENGTH		(1)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_AMP_ENABLED_FLAG_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_SPS_PARAM_1_AMP_ENABLED_FLAG_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_OFFSET		(0x0008)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_PPS_PARAM_0, NUM_TILE_ROWS_MINUS1
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_NUM_TILE_ROWS_MINUS1_MASK		(0x1F000000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_NUM_TILE_ROWS_MINUS1_LSBMASK		(0x0000001F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_NUM_TILE_ROWS_MINUS1_SHIFT		(24)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_NUM_TILE_ROWS_MINUS1_LENGTH		(5)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_NUM_TILE_ROWS_MINUS1_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_NUM_TILE_ROWS_MINUS1_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_PPS_PARAM_0, NUM_TILE_COLUMNS_MINUS1
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_NUM_TILE_COLUMNS_MINUS1_MASK		(0x001F0000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_NUM_TILE_COLUMNS_MINUS1_LSBMASK		(0x0000001F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_NUM_TILE_COLUMNS_MINUS1_SHIFT		(16)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_NUM_TILE_COLUMNS_MINUS1_LENGTH		(5)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_NUM_TILE_COLUMNS_MINUS1_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_NUM_TILE_COLUMNS_MINUS1_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_PPS_PARAM_0, DIFF_CU_CHROMA_QP_OFFSET_DEPTH
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_DIFF_CU_CHROMA_QP_OFFSET_DEPTH_MASK		(0x00003000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_DIFF_CU_CHROMA_QP_OFFSET_DEPTH_LSBMASK		(0x00000003)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_DIFF_CU_CHROMA_QP_OFFSET_DEPTH_SHIFT		(12)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_DIFF_CU_CHROMA_QP_OFFSET_DEPTH_LENGTH		(2)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_DIFF_CU_CHROMA_QP_OFFSET_DEPTH_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_DIFF_CU_CHROMA_QP_OFFSET_DEPTH_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_PPS_PARAM_0, ENTROPY_CODING_SYNC_ENABLE_FLAG
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_ENTROPY_CODING_SYNC_ENABLE_FLAG_MASK		(0x00000400)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_ENTROPY_CODING_SYNC_ENABLE_FLAG_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_ENTROPY_CODING_SYNC_ENABLE_FLAG_SHIFT		(10)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_ENTROPY_CODING_SYNC_ENABLE_FLAG_LENGTH		(1)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_ENTROPY_CODING_SYNC_ENABLE_FLAG_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_ENTROPY_CODING_SYNC_ENABLE_FLAG_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_PPS_PARAM_0, TILES_ENABLED_FLAG
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_TILES_ENABLED_FLAG_MASK		(0x00000200)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_TILES_ENABLED_FLAG_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_TILES_ENABLED_FLAG_SHIFT		(9)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_TILES_ENABLED_FLAG_LENGTH		(1)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_TILES_ENABLED_FLAG_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_TILES_ENABLED_FLAG_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_PPS_PARAM_0, TRANSQUANT_BYPASS_ENABLE_FLAG
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_TRANSQUANT_BYPASS_ENABLE_FLAG_MASK		(0x00000100)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_TRANSQUANT_BYPASS_ENABLE_FLAG_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_TRANSQUANT_BYPASS_ENABLE_FLAG_SHIFT		(8)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_TRANSQUANT_BYPASS_ENABLE_FLAG_LENGTH		(1)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_TRANSQUANT_BYPASS_ENABLE_FLAG_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_TRANSQUANT_BYPASS_ENABLE_FLAG_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_PPS_PARAM_0, TRANSFORM_SKIP_ENABLED_FLAG
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_TRANSFORM_SKIP_ENABLED_FLAG_MASK		(0x00000004)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_TRANSFORM_SKIP_ENABLED_FLAG_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_TRANSFORM_SKIP_ENABLED_FLAG_SHIFT		(2)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_TRANSFORM_SKIP_ENABLED_FLAG_LENGTH		(1)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_TRANSFORM_SKIP_ENABLED_FLAG_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_TRANSFORM_SKIP_ENABLED_FLAG_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_PPS_PARAM_0, CROSS_COMPONENT_PREDICTION_FLAG
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_CROSS_COMPONENT_PREDICTION_FLAG_MASK		(0x00000002)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_CROSS_COMPONENT_PREDICTION_FLAG_LSBMASK		(0x00000001)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_CROSS_COMPONENT_PREDICTION_FLAG_SHIFT		(1)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_CROSS_COMPONENT_PREDICTION_FLAG_LENGTH		(1)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_CROSS_COMPONENT_PREDICTION_FLAG_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_0_CROSS_COMPONENT_PREDICTION_FLAG_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_OFFSET		(0x000C)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_PPS_PARAM_1, LOG2_MAX_TRANSFORM_SKIP_BLOCK_SIZE_MINUS2
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_LOG2_MAX_TRANSFORM_SKIP_BLOCK_SIZE_MINUS2_MASK		(0x03000000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_LOG2_MAX_TRANSFORM_SKIP_BLOCK_SIZE_MINUS2_LSBMASK		(0x00000003)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_LOG2_MAX_TRANSFORM_SKIP_BLOCK_SIZE_MINUS2_SHIFT		(24)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_LOG2_MAX_TRANSFORM_SKIP_BLOCK_SIZE_MINUS2_LENGTH		(2)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_LOG2_MAX_TRANSFORM_SKIP_BLOCK_SIZE_MINUS2_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_LOG2_MAX_TRANSFORM_SKIP_BLOCK_SIZE_MINUS2_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_PPS_PARAM_1, CHROMA_QP_OFFSET_LIST_LEN_MINUS1
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_CHROMA_QP_OFFSET_LIST_LEN_MINUS1_MASK		(0x00700000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_CHROMA_QP_OFFSET_LIST_LEN_MINUS1_LSBMASK		(0x00000007)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_CHROMA_QP_OFFSET_LIST_LEN_MINUS1_SHIFT		(20)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_CHROMA_QP_OFFSET_LIST_LEN_MINUS1_LENGTH		(3)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_CHROMA_QP_OFFSET_LIST_LEN_MINUS1_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_CHROMA_QP_OFFSET_LIST_LEN_MINUS1_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_PPS_PARAM_1, LOG2_PARALLEL_MERGE_LEVEL_MINUS2
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_LOG2_PARALLEL_MERGE_LEVEL_MINUS2_MASK		(0x00070000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_LOG2_PARALLEL_MERGE_LEVEL_MINUS2_LSBMASK		(0x00000007)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_LOG2_PARALLEL_MERGE_LEVEL_MINUS2_SHIFT		(16)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_LOG2_PARALLEL_MERGE_LEVEL_MINUS2_LENGTH		(3)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_LOG2_PARALLEL_MERGE_LEVEL_MINUS2_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_LOG2_PARALLEL_MERGE_LEVEL_MINUS2_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_PPS_PARAM_1, PIC_CR_QP_OFFSET
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_PIC_CR_QP_OFFSET_MASK		(0x00001F00)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_PIC_CR_QP_OFFSET_LSBMASK		(0x0000001F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_PIC_CR_QP_OFFSET_SHIFT		(8)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_PIC_CR_QP_OFFSET_LENGTH		(5)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_PIC_CR_QP_OFFSET_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_PIC_CR_QP_OFFSET_SIGNED_FIELD	(IMG_TRUE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_PPS_PARAM_1, PIC_CB_QP_OFFSET
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_PIC_CB_QP_OFFSET_MASK		(0x0000001F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_PIC_CB_QP_OFFSET_LSBMASK		(0x0000001F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_PIC_CB_QP_OFFSET_SHIFT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_PIC_CB_QP_OFFSET_LENGTH		(5)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_PIC_CB_QP_OFFSET_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_PPS_PARAM_1_PIC_CB_QP_OFFSET_SIGNED_FIELD	(IMG_TRUE)

#define PVDEC_VEC_BE_HEVC_CR_HEVC_CB_QP_OFFSET_LIST_OFFSET		(0x0010)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_CB_QP_OFFSET_LIST, PPS_CB_QP_OFFSET_LIST
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_CB_QP_OFFSET_LIST_PPS_CB_QP_OFFSET_LIST_MASK		(0x3E000000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_CB_QP_OFFSET_LIST_PPS_CB_QP_OFFSET_LIST_LSBMASK		(0x0000001F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_CB_QP_OFFSET_LIST_PPS_CB_QP_OFFSET_LIST_SHIFT		(25)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_CB_QP_OFFSET_LIST_PPS_CB_QP_OFFSET_LIST_LENGTH		(5)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_CB_QP_OFFSET_LIST_PPS_CB_QP_OFFSET_LIST_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_CB_QP_OFFSET_LIST_PPS_CB_QP_OFFSET_LIST_SIGNED_FIELD	(IMG_TRUE)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_CB_QP_OFFSET_LIST_PPS_CB_QP_OFFSET_LIST_NO_REPS		(6)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_CB_QP_OFFSET_LIST_PPS_CB_QP_OFFSET_LIST_SIZE		(5)

#define PVDEC_VEC_BE_HEVC_CR_HEVC_CR_QP_OFFSET_LIST_OFFSET		(0x0014)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_CR_QP_OFFSET_LIST, PPS_CR_QP_OFFSET_LIST
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_CR_QP_OFFSET_LIST_PPS_CR_QP_OFFSET_LIST_MASK		(0x3E000000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_CR_QP_OFFSET_LIST_PPS_CR_QP_OFFSET_LIST_LSBMASK		(0x0000001F)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_CR_QP_OFFSET_LIST_PPS_CR_QP_OFFSET_LIST_SHIFT		(25)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_CR_QP_OFFSET_LIST_PPS_CR_QP_OFFSET_LIST_LENGTH		(5)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_CR_QP_OFFSET_LIST_PPS_CR_QP_OFFSET_LIST_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_CR_QP_OFFSET_LIST_PPS_CR_QP_OFFSET_LIST_SIGNED_FIELD	(IMG_TRUE)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_CR_QP_OFFSET_LIST_PPS_CR_QP_OFFSET_LIST_NO_REPS		(6)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_CR_QP_OFFSET_LIST_PPS_CR_QP_OFFSET_LIST_SIZE		(5)

#define PVDEC_VEC_BE_HEVC_CR_HEVC_TEMPORAL_IN_BASE_ADDRESS_OFFSET		(0x0030)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_TEMPORAL_IN_BASE_ADDRESS, TEMPORAL_PARAM_IN_BASE_ADDRESS
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TEMPORAL_IN_BASE_ADDRESS_TEMPORAL_PARAM_IN_BASE_ADDRESS_MASK		(0xFFFFFFC0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TEMPORAL_IN_BASE_ADDRESS_TEMPORAL_PARAM_IN_BASE_ADDRESS_LSBMASK		(0x03FFFFFF)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TEMPORAL_IN_BASE_ADDRESS_TEMPORAL_PARAM_IN_BASE_ADDRESS_SHIFT		(6)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TEMPORAL_IN_BASE_ADDRESS_TEMPORAL_PARAM_IN_BASE_ADDRESS_LENGTH		(26)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TEMPORAL_IN_BASE_ADDRESS_TEMPORAL_PARAM_IN_BASE_ADDRESS_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TEMPORAL_IN_BASE_ADDRESS_TEMPORAL_PARAM_IN_BASE_ADDRESS_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_HEVC_CR_HEVC_TEMPORAL_OUT_BASE_ADDRESS_OFFSET		(0x0034)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_TEMPORAL_OUT_BASE_ADDRESS, TEMPORAL_PARAM_OUT_BASE_ADDRESS
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TEMPORAL_OUT_BASE_ADDRESS_TEMPORAL_PARAM_OUT_BASE_ADDRESS_MASK		(0xFFFFFFC0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TEMPORAL_OUT_BASE_ADDRESS_TEMPORAL_PARAM_OUT_BASE_ADDRESS_LSBMASK		(0x03FFFFFF)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TEMPORAL_OUT_BASE_ADDRESS_TEMPORAL_PARAM_OUT_BASE_ADDRESS_SHIFT		(6)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TEMPORAL_OUT_BASE_ADDRESS_TEMPORAL_PARAM_OUT_BASE_ADDRESS_LENGTH		(26)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TEMPORAL_OUT_BASE_ADDRESS_TEMPORAL_PARAM_OUT_BASE_ADDRESS_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_TEMPORAL_OUT_BASE_ADDRESS_TEMPORAL_PARAM_OUT_BASE_ADDRESS_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_LONGTERM_OFFSET		(0x0038)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_DPB_LONGTERM, PIC_TYPE
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_LONGTERM_PIC_TYPE_MASK		(0x00030000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_LONGTERM_PIC_TYPE_LSBMASK		(0x00000003)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_LONGTERM_PIC_TYPE_SHIFT		(16)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_LONGTERM_PIC_TYPE_LENGTH		(2)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_LONGTERM_PIC_TYPE_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_LONGTERM_PIC_TYPE_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_DPB_LONGTERM, DPB_LONGTERM
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_LONGTERM_DPB_LONGTERM_MASK		(0x0000FFFF)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_LONGTERM_DPB_LONGTERM_LSBMASK		(0x0000FFFF)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_LONGTERM_DPB_LONGTERM_SHIFT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_LONGTERM_DPB_LONGTERM_LENGTH		(16)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_LONGTERM_DPB_LONGTERM_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_DPB_LONGTERM_DPB_LONGTERM_SIGNED_FIELD	(IMG_FALSE)

#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_LONGTERM_OFFSET		(0x003C)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_COL_DPB_LONGTERM, COL_PIC_TYPE
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_LONGTERM_COL_PIC_TYPE_MASK		(0x00030000)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_LONGTERM_COL_PIC_TYPE_LSBMASK		(0x00000003)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_LONGTERM_COL_PIC_TYPE_SHIFT		(16)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_LONGTERM_COL_PIC_TYPE_LENGTH		(2)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_LONGTERM_COL_PIC_TYPE_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_LONGTERM_COL_PIC_TYPE_SIGNED_FIELD	(IMG_FALSE)

/*
 * PVDEC_VEC_BE_HEVC, CR_HEVC_COL_DPB_LONGTERM, COL_DPB_LONGTERM
 */
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_LONGTERM_COL_DPB_LONGTERM_MASK		(0x0000FFFF)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_LONGTERM_COL_DPB_LONGTERM_LSBMASK		(0x0000FFFF)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_LONGTERM_COL_DPB_LONGTERM_SHIFT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_LONGTERM_COL_DPB_LONGTERM_LENGTH		(16)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_LONGTERM_COL_DPB_LONGTERM_DEFAULT		(0)
#define PVDEC_VEC_BE_HEVC_CR_HEVC_COL_DPB_LONGTERM_COL_DPB_LONGTERM_SIGNED_FIELD	(IMG_FALSE)

#endif
